Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete shareable link resources

Removes folders, images, videos and files from a shareable link.

DELETE/api/v2/{team_slug}/{app_slug}/dam/shareable-links/{link_id}/resources
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
link_idstring<uuid>required
Request body
requiredapplication/json
folder_idsUUID[]
image_idsUUID[]
video_idsUUID[]
file_idsUUID[]
Responses
200

OK

dataShareableLinkResourcesrequired
Show properties
folder_idsUUID[]required
image_idsUUID[]required
video_idsUUID[]required
file_idsUUID[]required
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://api.enad.io/api/v2/string/string/dam/shareable-links/497f6eca-6276-4993-bfeb-53cbbbba6f08/resources' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "folder_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "image_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "video_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "file_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ]
}'
Response
{
  "data": {
    "folder_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "image_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "video_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "file_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
  }
}